// Lire l'état de deux interrupteurs sur D2 et D3
// Commander une LED rouge entre D4 et D5 si deux interrupteurs fermés, 
// verte si un seul interrupteur fermé, aucune LED sinon 

boolean interA, interB;

void setup() 
{
   Serial.begin(9600);
   pinMode(2,INPUT);// pour lecture l'état de l'interrupteur A
   pinMode(3,INPUT);// pour lecture l'état de l'interrupteur B
   pinMode(4,OUTPUT); digitalWrite(4,LOW); // Attention : LED tête-bêches
   pinMode(5,OUTPUT); digitalWrite(5,LOW); // en série avec 330 ohms
}

void loop(void) 
{
   interA=digitalRead(2);// Lecture de l'état de l'interrupteur A
   interB=digitalRead(3);// Lecture de l'état de l'interrupteur B

   Serial.print("A = ");Serial.println(interA);
   Serial.print("B = ");Serial.println(interB);
   Serial.println(" ");
   delay(1);
   
   if((interA==1)||(interB==1)){// l'un, l'autre ou les deux à 1
      if(interA==interB) {   //si les deux à 1
         digitalWrite(5,LOW);
         digitalWrite(4,HIGH);         
         delay(100); // pause 0.1s
      }
      else {  // si un seul
         digitalWrite(4,LOW);
         digitalWrite(5,HIGH);
         delay(100);
      } 
   } 
   else {  // les deux inter ouverts , pas de LED allumées
      digitalWrite(4,LOW);
      digitalWrite(5,LOW);
      delay(10);
   } 

/*/ Remarque :
// test direct de la seule coincidence : exor à 0 (soit exnor à 1)
   if(((interA&&(!interB))||((!interA)&&interB))==0) {
   // soit exnor à 1 (((interA&&interB))||((!interA)&&(!interB)))==1)
      digitalWrite(5,LOW);
      digitalWrite(4,HIGH);         
      delay(100); // pause 0.1s
      }
 */     
}// fin du loop
