/* Détecter un front montant sur un détecteur équivalent à un interrupteur sur D3
pour produire une impulsion de 100ms sur la LED placée entre D4 et D5
(variante :  ou sur la LED de la carte du D13)
*/
boolean inter, inter_precedent, FM;

void setup() 
{
   pinMode(3,INPUT);// pour lecture l'état de l'interrupteur
   pinMode(4,OUTPUT); digitalWrite(4,LOW); 
   pinMode(5,OUTPUT);digitalWrite(5,LOW); // ou mise à la masse R/LED
   inter_precedent=0;  // ou LOW
}

void loop(void) 
{
   inter=digitalRead(3);// Lecture de l'état de l'interrupteur
   FM=inter&~inter_precedent;  // operateur &   ~négation ou complément  fig9
   
   if(FM==1){// ou HIGH
      digitalWrite(4, HIGH);
      delay(1000); // impulsion 100 ms
      digitalWrite(4, LOW);
   }
   inter_precedent=inter; 
}

/*
// Variante
   if((inter==1)&&(inter_precedent==0))
   { etc.
   */
